Bug 11051 - net sam addgroupmem too strict
net sam addgroupmem too strict
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-13 14:33 UTC by Volker Lendecke
Modified: 2015-01-24 20:45 UTC (History)
1 user (show)

See Also:


Attachments
Patch for 4.2 (1.59 KB, patch)
2015-01-13 14:39 UTC, Volker Lendecke
gd: review+
Details
Patch for 4.1 (1.60 KB, patch)
2015-01-13 14:47 UTC, Volker Lendecke
gd: review+
Details
Patch for 4.0 (1.60 KB, patch)
2015-01-13 14:52 UTC, Volker Lendecke
gd: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Volker Lendecke 2015-01-13 14:33:49 UTC
net sam addgroupmem should allow aliases (a.k.a domain local groups) to be added.
Comment 1 Volker Lendecke 2015-01-13 14:39:40 UTC
Created attachment 10613 [details]
Patch for 4.2
Comment 2 Volker Lendecke 2015-01-13 14:47:32 UTC
Created attachment 10614 [details]
Patch for 4.1
Comment 3 Guenther Deschner 2015-01-13 14:49:59 UTC
Comment on attachment 10613 [details]
Patch for 4.2

LGTM
Comment 4 Guenther Deschner 2015-01-13 14:50:12 UTC
Comment on attachment 10614 [details]
Patch for 4.1

LGTM
Comment 5 Guenther Deschner 2015-01-13 14:50:43 UTC
Karolin, please add to 4.2 and 4.1, thanks!
Comment 6 Volker Lendecke 2015-01-13 14:52:45 UTC
Created attachment 10615 [details]
Patch for 4.0

FWIW, here's a 4.0 patch in case this is seen as relevant enough
Comment 7 Karolin Seeger 2015-01-14 20:35:24 UTC
Pushed to autobuild-v4-[0|1|2]-test.
Comment 8 Karolin Seeger 2015-01-24 20:45:25 UTC
(In reply to Karolin Seeger from comment #7)
Pushed to all branches.
Closing out bug report.

Thanks!